
Robotics Service Bus - Feature #737
Logger should support printing of event collections
11/25/2011 07:12 PM - J. Moringen

Status: Resolved Start date: 11/25/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: 0.6
Description

Associated revisions
Revision 5073555a - 02/07/2012 04:36 AM - J. Moringen
Newline handling in formatting/event-style-{detailed,meta-data}.lisp
refs #737
    -  formatting/event-style-meta-data.lisp (style-meta-data): separator

  starts with newline
    -  formatting/event-style-detailed.lisp

  (format-event event style-detailed t): do not emit fresh line after
  printing payload

Revision 7b9ca70d - 02/07/2012 04:36 AM - J. Moringen
Added payload formatting style in formatting/payload-collection.lisp
fixes #737
    -  formatting/payload-collection.lisp: new file; contains

  formatting code for payloads which are by-scope event collection
    -  cl-rsb-formatting.asd (system cl-rsb-formatting): added file

  formatting/payload-collection.lisp

Revision 3ea704f2 - 02/12/2012 04:25 PM - J. Moringen
Fixed default converter list in formatting/payload-collection.lisp
refs #737
    -  formatting/payload-collection.lisp

  (by-scope-formatting-converter): construct default converter list
  properly

History
#1 - 11/25/2011 07:13 PM - J. Moringen
- Subject changed from Support printing of event collections to Logger should support printing of event collections

#2 - 02/07/2012 04:37 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3289.

#3 - 03/06/2012 08:08 PM - J. Moringen
- Target version set to 0.6
